BasicQueryFactory (Lucene 10.5.1 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.surround.query, class: BasicQueryFactory

Package org.apache.lucene.queryparser.surround.query

# Class BasicQueryFactory

java.lang.Object
org.apache.lucene.queryparser.surround.query.BasicQueryFactory

public class BasicQueryFactory extends Object
Factory for creating basic term queries

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicQueryFactory()`
  `BasicQueryFactory(int maxBasicQueries)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `checkMax()`
  `boolean`
  `equals(Object obj)`
  Two BasicQueryFactory's are equal when they generate the same types of basic queries, or both cannot generate queries anymore.
  `int`
  `getMaxBasicQueries()`
  `int`
  `getNrQueriesMade()`
  `int`
  `hashCode()`
  `SpanTermQuery`
  `newSpanTermQuery(Term term)`
  `TermQuery`
  `newTermQuery(Term term)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BasicQueryFactory

    public BasicQueryFactory(int maxBasicQueries)

  - ### BasicQueryFactory

    public BasicQueryFactory()

- ## Method Details

  - ### getNrQueriesMade

    public int getNrQueriesMade()

  - ### getMaxBasicQueries

    public int getMaxBasicQueries()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### checkMax

    protected void checkMax() throws TooManyBasicQueries
    Throws:
      `TooManyBasicQueries`

  - ### newTermQuery

    public TermQuery newTermQuery(Term term) throws TooManyBasicQueries
    Throws:
      `TooManyBasicQueries`

  - ### newSpanTermQuery

    public SpanTermQuery newSpanTermQuery(Term term) throws TooManyBasicQueries
    Throws:
      `TooManyBasicQueries`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Two BasicQueryFactory's are equal when they generate the same types of basic queries, or both cannot generate queries anymore.
    Overrides:
      `equals` in class `Object`